> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prophecy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get pipeline run status

> Get the status of a triggered pipeline run, including an error message if the pipeline run fails.



## OpenAPI

````yaml get /api/trigger/pipeline/{runId}
openapi: 3.0.3
info:
  title: Prophecy API - Pipeline Runs
  description: API for triggering and monitoring pipeline runs
  version: 1.0.0
servers: []
security: []
paths:
  /api/trigger/pipeline/{runId}:
    parameters:
      - name: runId
        in: path
        description: Pipeline run ID
        required: true
        schema:
          type: string
          example: MDAw-xZGYzYzc3LTYzdsSdfx--LTQ3NTQ1ZYjI2Mw==
      - name: X-AUTH-TOKEN
        in: header
        description: Prophecy access token
        required: true
        schema:
          type: string
    get:
      tags:
        - Pipeline Runs
      summary: Get pipeline run status
      description: >-
        Get the status of a triggered pipeline run, including an error message
        if the pipeline run fails.
      operationId: getPipelineRunStatus
      responses:
        '200':
          description: Pipeline run status retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: >-
                      Indicates whether the request to retrieve the pipeline run
                      status was successful. It does not reflect the success of
                      the run.
                  runId:
                    type: string
                    description: Unique identifier of the pipeline run.
                  createdAt:
                    type: string
                    format: date-time
                    description: >-
                      Timestamp when the pipeline run record was created.
                      Returns ISO 8601 format, including microseconds.
                  updatedAt:
                    type: string
                    format: date-time
                    description: >-
                      Timestamp when the pipeline run record was last updated.
                      Returns ISO 8601 format, including microseconds.
                  projectId:
                    type: string
                    description: ID of the project associated with this pipeline run.
                  pipelineName:
                    type: string
                    description: Name of the pipeline associated with this run.
                  fabricId:
                    type: string
                    description: ID of the fabric where the pipeline resides.
                  runStatus:
                    type: string
                    enum:
                      - RUNNING
                      - ERROR
                      - SUCCEEDED
                    description: Execution status of the pipeline run.
                  errorMessage:
                    type: string
                    description: Descriptive error message if the runStatus is ERROR.
              example:
                success: true
                runId: MDAw-xZGYzYzc3LTYzdsSdfx--LTQ3NTQ1ZYjI2Mw==
                createdAt: '2025-06-17T18:01:49.275359'
                updatedAt: '2025-06-17T18:02:41.712486'
                projectId: '41459'
                pipelineName: bakehouse
                fabricId: '33290'
                runStatus: SUCCEEDED

````